" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %fun% %pi% *
syn keyword tl_keyword contained *args* *args-eff* *args-full* *child-env*
syn keyword tl_keyword contained *compile-opts* *doc-url* *filters* *full-args*
syn keyword tl_keyword contained *gensym-counter* *hash-seed* *lib-version* *listener-auto-compound-p*
syn keyword tl_keyword contained *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p* *listener-pprint-p*
syn keyword tl_keyword contained *listener-sel-inclusive-p* *load-args* *load-hooks* *load-path*
syn keyword tl_keyword contained *load-search-dirs* *match-macro* *opt-level* *package*
syn keyword tl_keyword contained *package-alist* *param-macro* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *pprint-flo-format* *print-base*
syn keyword tl_keyword contained *print-circle* *print-flo-digits* *print-flo-format* *print-flo-precision*
syn keyword tl_keyword contained *print-json-format* *random-state* *random-warmup* *read-bad-json*
syn keyword tl_keyword contained *read-unknown-structs* *rec-source-loc* *stddebug* *stderr*
syn keyword tl_keyword contained *stdin* *stdlog* *stdnull* *stdout*
syn keyword tl_keyword contained *struct-clause-expander* *trace-output* *tree-fun-whitelist* *txr-version*
syn keyword tl_keyword contained *unhandled-hook* + - /
syn keyword tl_keyword contained /= : :abandoned :abs
syn keyword tl_keyword contained :addr :all :android :apf
syn keyword tl_keyword contained :append :args :atime :auto
syn keyword tl_keyword contained :awk-again :awk-file :awk-rec :begin
syn keyword tl_keyword contained :begin-file :blksize :blocks :bool
syn keyword tl_keyword contained :byte-oriented :cdigit :chars :cint
syn keyword tl_keyword contained :clean :close :compile :continue
syn keyword tl_keyword contained :counter :cspace :ctime :cword-char
syn keyword tl_keyword contained :cygnal :cygwin :dec :decline
syn keyword tl_keyword contained :delegate :dev :digit :downcase
syn keyword tl_keyword contained :end :end-file :env :eq-based
syn keyword tl_keyword contained :eql-based :equal-based :error :explicit-no
syn keyword tl_keyword contained :fallback :fd :fence :fields
syn keyword tl_keyword contained :filter :fini :finish :float
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :frombase64url :fromhtml
syn keyword tl_keyword contained :frompercent :fromurl :fun :function
syn keyword tl_keyword contained :gap :gid :greedy :hex
syn keyword tl_keyword contained :hextoint :inf :inherit :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :let :lfilt
syn keyword tl_keyword contained :lines :linux :list :lists
syn keyword tl_keyword contained :local :longest :macos :macro
syn keyword tl_keyword contained :mandatory :mass-delegate :match :maxgap
syn keyword tl_keyword contained :maxtimes :method :mid :mingap
syn keyword tl_keyword contained :mintimes :mode :mtime :name
syn keyword tl_keyword contained :named :next-spec :nlink :noclose
syn keyword tl_keyword contained :nothrow :oct :ok :openbsd
syn keyword tl_keyword contained :outf :outp :output :owner
syn keyword tl_keyword contained :perms :postfini :postinit :prio
syn keyword tl_keyword contained :rdev :real-time :reflect :repeat-spec
syn keyword tl_keyword contained :resolve :rfilt :set :set-file
syn keyword tl_keyword contained :shortest :size :solaris :solaris10
syn keyword tl_keyword contained :space :standard :static :str
syn keyword tl_keyword contained :string :symacro :symlinks :text
syn keyword tl_keyword contained :times :tlist :to_html :tobase64
syn keyword tl_keyword contained :tobase64url :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :uid :unknown :upcase :use
syn keyword tl_keyword contained :use-from :use-syms :use-syms-as :userdata
syn keyword tl_keyword contained :var :vars :warn :weak-and
syn keyword tl_keyword contained :weak-keys :weak-or :weak-vals :whole
syn keyword tl_keyword contained :word-char :wrap < <=
syn keyword tl_keyword contained = > >= abort
syn keyword tl_keyword contained abs abs-path-p acons acons-new
syn keyword tl_keyword contained aconsql-new acos acosh add-suffix
syn keyword tl_keyword contained ado af-inet af-inet6 af-unix
syn keyword tl_keyword contained af-unspec ai-addrconfig ai-all ai-canonname
syn keyword tl_keyword contained ai-numerichost ai-numericserv ai-passive ai-v4mapped
syn keyword tl_keyword contained alet align alignof alist-nremove
syn keyword tl_keyword contained alist-remove all allocate-struct and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* append-each-prod
syn keyword tl_keyword contained append-each-prod* append-match-products append-matches apply
syn keyword tl_keyword contained aret arithp array arraysize
syn keyword tl_keyword contained ash asin asinh assert
syn keyword tl_keyword contained assoc assq assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atanh
syn keyword tl_keyword contained atom awk base-name base64-decode
syn keyword tl_keyword contained base64-decode-buf base64-encode base64-stream-dec base64-stream-enc
syn keyword tl_keyword contained base64url-decode base64url-decode-buf base64url-encode base64url-stream-dec
syn keyword tl_keyword contained base64url-stream-enc bchar be-double be-float
syn keyword tl_keyword contained be-int16 be-int32 be-int64 be-uint16
syn keyword tl_keyword contained be-uint32 be-uint64 bignum-len bignump
syn keyword tl_keyword contained bindable bit bitset blkcnt-t
syn keyword tl_keyword contained blksize-t block block* bool
syn keyword tl_keyword contained boundp bracket break-str brkint
syn keyword tl_keyword contained bs0 bs1 bsdly bstr
syn keyword tl_keyword contained bstr-d bstr-s buf buf-alloc-size
syn keyword tl_keyword contained buf-carray buf-compress buf-d buf-decompress
syn keyword tl_keyword contained buf-get-char buf-get-cptr buf-get-double buf-get-float
syn keyword tl_keyword contained buf-get-i16 buf-get-i32 buf-get-i64 buf-get-i8
syn keyword tl_keyword contained buf-get-int buf-get-long buf-get-short buf-get-u16
syn keyword tl_keyword contained buf-get-u32 buf-get-u64 buf-get-u8 buf-get-uchar
syn keyword tl_keyword contained buf-get-uint buf-get-ulong buf-get-ushort buf-int
syn keyword tl_keyword contained buf-list buf-put-buf buf-put-char buf-put-cptr
syn keyword tl_keyword contained buf-put-double buf-put-float buf-put-i16 buf-put-i32
syn keyword tl_keyword contained buf-put-i64 buf-put-i8 buf-put-int buf-put-long
syn keyword tl_keyword contained buf-put-short buf-put-u16 buf-put-u32 buf-put-u64
syn keyword tl_keyword contained buf-put-u8 buf-put-uchar buf-put-uint buf-put-ulong
syn keyword tl_keyword contained buf-put-ushort buf-set-length buf-str buf-trim
syn keyword tl_keyword contained buf-uint bufp build build-list
syn keyword tl_keyword contained buildn built-in-type-p butlast butlastn
syn keyword tl_keyword contained caaaaar caaaadr caaaar caaadar
syn keyword tl_keyword contained caaaddr caaadr caaar caadaar
syn keyword tl_keyword contained caadadr caadar caaddar caadddr
syn keyword tl_keyword contained caaddr caadr caar cadaaar
syn keyword tl_keyword contained cadaadr cadaar cadadar cadaddr
syn keyword tl_keyword contained cadadr cadar caddaar caddadr
syn keyword tl_keyword contained caddar cadddar caddddr cadddr
syn keyword tl_keyword contained caddr cadr call call-clobber-expander
syn keyword tl_keyword contained call-delete-expander call-finalizers call-super-fun call-super-method
syn keyword tl_keyword contained call-update-expander callf car carray
syn keyword tl_keyword contained carray-blank carray-buf carray-buf-sync carray-cptr
syn keyword tl_keyword contained carray-dup carray-free carray-get carray-getz
syn keyword tl_keyword contained carray-int carray-list carray-own carray-pun
syn keyword tl_keyword contained carray-put carray-putz carray-ref carray-refset
syn keyword tl_keyword contained carray-replace carray-set-length carray-sub carray-type
syn keyword tl_keyword contained carray-uint carray-vec carrayp caseq
syn keyword tl_keyword contained caseq* caseql caseql* casequal
syn keyword tl_keyword contained casequal* cat-files cat-str cat-streams
syn keyword tl_keyword contained cat-vec catch catch* catch**
syn keyword tl_keyword contained catenated-stream-p catenated-stream-push cbaud cbaudex
syn keyword tl_keyword contained cbrt cdaaaar cdaaadr cdaaar
syn keyword tl_keyword contained cdaadar cdaaddr cdaadr cdaar
syn keyword tl_keyword contained cdadaar cdadadr cdadar cdaddar
syn keyword tl_keyword contained cdadddr cdaddr cdadr cdar
syn keyword tl_keyword contained cddaaar cddaadr cddaar cddadar
syn keyword tl_keyword contained cddaddr cddadr cddar cdddaar
syn keyword tl_keyword contained cdddadr cdddar cddddar cdddddr
syn keyword tl_keyword contained cddddr cdddr cddr cdr
syn keyword tl_keyword contained ceil ceil-rem chain chand
syn keyword tl_keyword contained char chdir chmod chmod-rec
syn keyword tl_keyword contained chown chown-rec chr-digit chr-int
syn keyword tl_keyword contained chr-isalnum chr-isalpha chr-isascii chr-isblank
syn keyword tl_keyword contained chr-iscntrl chr-isdigit chr-isgraph chr-islower
syn keyword tl_keyword contained chr-isprint chr-ispunct chr-isspace chr-isunisp
syn keyword tl_keyword contained chr-isupper chr-isxdigit chr-num chr-str
syn keyword tl_keyword contained chr-str-set chr-tolower chr-toupper chr-xdigit
syn keyword tl_keyword contained chrp clamp clean-file clear-dirty
syn keyword tl_keyword contained clear-error clear-mask clear-struct clearhash
syn keyword tl_keyword contained clocal clock-t clockid-t close
syn keyword tl_keyword contained close-lazy-streams close-stream closedir closelog
syn keyword tl_keyword contained closure cmp-str cmspar cnsort
syn keyword tl_keyword contained coded-length collect-each collect-each* collect-each-prod
syn keyword tl_keyword contained collect-each-prod* comb command-get command-get-buf
syn keyword tl_keyword contained command-get-json command-get-jsons command-get-lines command-get-string
syn keyword tl_keyword contained command-put command-put-buf command-put-json command-put-jsons
syn keyword tl_keyword contained command-put-lines command-put-string compare-swap compile
syn keyword tl_keyword contained compile-defr-warning compile-error compile-file compile-only
syn keyword tl_keyword contained compile-toplevel compile-update-file compile-warning compiler-let
syn keyword tl_keyword contained compl-span-str cond conda condlet
syn keyword tl_keyword contained cons cons-count cons-find conses
syn keyword tl_keyword contained conses* consp constantp contain[s]
syn keyword tl_keyword contained copy copy-alist copy-buf copy-carray
syn keyword tl_keyword contained copy-cons copy-cptr copy-file copy-files
syn keyword tl_keyword contained copy-fun copy-hash copy-list copy-path-rec
syn keyword tl_keyword contained copy-search-tree copy-str copy-struct copy-tnode
syn keyword tl_keyword contained copy-tree copy-tree-iter copy-vec copysign
syn keyword tl_keyword contained cos cosh count count-if
syn keyword tl_keyword contained count-until-match countq countql countqual
syn keyword tl_keyword contained cptr cptr-buf cptr-carray cptr-cast
syn keyword tl_keyword contained cptr-free cptr-get cptr-int cptr-null
syn keyword tl_keyword contained cptr-obj cptr-out cptr-size-hint cptr-type
syn keyword tl_keyword contained cptr-zap cptrp cr0 cr1
syn keyword tl_keyword contained cr2 cr3 crc32 crc32-stream
syn keyword tl_keyword contained crdly cread crtscts crypt
syn keyword tl_keyword contained cs5 cs6 cs7 cs8
syn keyword tl_keyword contained csize csnsort csort csort-group
syn keyword tl_keyword contained cssort cstopb cum-norm-dist cxr
syn keyword tl_keyword contained cyr daemon dec defer-warning
syn keyword tl_keyword contained defex deffi deffi-cb deffi-cb-unsafe
syn keyword tl_keyword contained deffi-struct deffi-sym deffi-type deffi-union
syn keyword tl_keyword contained deffi-var define-accessor define-modify-macro define-option-struct
syn keyword tl_keyword contained define-param-expander define-place-macro define-struct-clause define-struct-prelude
syn keyword tl_keyword contained defmacro defmatch defmeth defpackage
syn keyword tl_keyword contained defparm defparml defplace defset
syn keyword tl_keyword contained defstruct defsymacro defun defun-match
syn keyword tl_keyword contained defvar defvarl del delay
syn keyword tl_keyword contained delcons delete-package dev-t diff
syn keyword tl_keyword contained digits digpow dir-name dirstat
syn keyword tl_keyword contained disassemble display-width divides dlclose
syn keyword tl_keyword contained dlopen dlsym dlsym-checked dlvsym
syn keyword tl_keyword contained dlvsym-checked do doc dohash
syn keyword tl_keyword contained doloop doloop* dotimes double
syn keyword tl_keyword contained downcase-str drem drop drop-until
syn keyword tl_keyword contained drop-while dt-blk dt-chr dt-dir
syn keyword tl_keyword contained dt-fifo dt-lnk dt-reg dt-sock
syn keyword tl_keyword contained dt-unknown dump-compiled-objects dump-deferred-warnings dup
syn keyword tl_keyword contained dupfd dwim e2big eacces
syn keyword tl_keyword contained each each* each-false each-match
syn keyword tl_keyword contained each-match-product each-prod each-prod* each-true
syn keyword tl_keyword contained eaddrinuse eaddrnotavail eafnosupport eagain
syn keyword tl_keyword contained ealready ebadf ebadmsg ebusy
syn keyword tl_keyword contained ecanceled ecaseq ecaseq* ecaseql
syn keyword tl_keyword contained ecaseql* ecasequal ecasequal* echild
syn keyword tl_keyword contained echo echoctl echoe echok
syn keyword tl_keyword contained echoke echonl echoprt econnaborted
syn keyword tl_keyword contained econnrefused econnreset edeadlk edestaddrreq
syn keyword tl_keyword contained edom edquot eexist efault
syn keyword tl_keyword contained efbig ehostunreach eidrm eighth
syn keyword tl_keyword contained eilseq einprogress eintr einval
syn keyword tl_keyword contained eio eisconn eisdir elemsize
syn keyword tl_keyword contained elemtype eloop emfile emlink
syn keyword tl_keyword contained empty emsgsize emultihop enametoolong
syn keyword tl_keyword contained endgrent endp endpwent ends-with
syn keyword tl_keyword contained enetdown enetreset enetunreach enfile
syn keyword tl_keyword contained enobufs enodata enodev enoent
syn keyword tl_keyword contained enoexec enolck enolink enomem
syn keyword tl_keyword contained enomsg enoprotoopt enospc enosr
syn keyword tl_keyword contained enostr enosys enotconn enotdir
syn keyword tl_keyword contained enotempty enotrecoverable enotsock enotsup
syn keyword tl_keyword contained enotty ensure ensure-dir enum
syn keyword tl_keyword contained enumed env env-fbind env-fbindings
syn keyword tl_keyword contained env-hash env-next env-vbind env-vbindings
syn keyword tl_keyword contained enxio eopnotsupp eoverflow eownerdead
syn keyword tl_keyword contained eperm epipe eproto eprotonosupport
syn keyword tl_keyword contained eprototype eq eql equal
syn keyword tl_keyword contained equot erange erf erfc
syn keyword tl_keyword contained erofs errno error espipe
syn keyword tl_keyword contained esrch estale etime etimedout
syn keyword tl_keyword contained etxtbsy etypecase eval eval-only
syn keyword tl_keyword contained evenp ewouldblock exception-subtype-map exception-subtype-p
syn keyword tl_keyword contained exdev exec exit exit*
syn keyword tl_keyword contained exp exp10 exp2 expand
syn keyword tl_keyword contained expand* expand-left expand-right expand-with-free-refs
syn keyword tl_keyword contained expander-let expm1 expt exptmod
syn keyword tl_keyword contained extproc f$ f-dupfd f-dupfd-cloexec
syn keyword tl_keyword contained f-getfd f-getfl f-getlk f-rdlck
syn keyword tl_keyword contained f-setfd f-setfl f-setlk f-setlkw
syn keyword tl_keyword contained f-unlck f-wrlck f^ f^$
syn keyword tl_keyword contained false fboundp fcntl fd-cloexec
syn keyword tl_keyword contained fdim ff0 ff1 ffdly
syn keyword tl_keyword contained ffi ffi-alignof ffi-arraysize ffi-call
syn keyword tl_keyword contained ffi-elemsize ffi-elemtype ffi-get ffi-in
syn keyword tl_keyword contained ffi-make-call-desc ffi-make-closure ffi-offsetof ffi-out
syn keyword tl_keyword contained ffi-put ffi-put-into ffi-size ffi-type-compile
syn keyword tl_keyword contained ffi-type-operator-p ffi-type-p ffi-typedef fifth
syn keyword tl_keyword contained file-append file-append-buf file-append-json file-append-jsons
syn keyword tl_keyword contained file-append-lines file-append-objects file-append-string file-get
syn keyword tl_keyword contained file-get-buf file-get-json file-get-jsons file-get-lines
syn keyword tl_keyword contained file-get-objects file-get-string file-place-buf file-put
syn keyword tl_keyword contained file-put-buf file-put-json file-put-jsons file-put-lines
syn keyword tl_keyword contained file-put-objects file-put-string fileno fill-buf
syn keyword tl_keyword contained fill-buf-adjust fill-carray fill-obj fill-vec
syn keyword tl_keyword contained filter-equal filter-string-tree finalize find
syn keyword tl_keyword contained find-frame find-frames find-frames-by-mask find-if
syn keyword tl_keyword contained find-max find-max-key find-min find-min-key
syn keyword tl_keyword contained find-package find-struct-type find-symbol find-symbol-fb
syn keyword tl_keyword contained find-true first fixnum-max fixnum-min
syn keyword tl_keyword contained fixnump flatcar flatcar* flatten
syn keyword tl_keyword contained flatten* flet flip flipargs
syn keyword tl_keyword contained flo-dig flo-down flo-epsilon flo-get-round-mode
syn keyword tl_keyword contained flo-int flo-max flo-max-dig flo-min
syn keyword tl_keyword contained flo-near flo-set-round-mode flo-str flo-up
syn keyword tl_keyword contained flo-zero float floatp floor
syn keyword tl_keyword contained floor-rem flow flush-stream flusho
syn keyword tl_keyword contained fmakunbound fmax fmin fmt
syn keyword tl_keyword contained fnm-casefold fnm-extmatch fnm-leading-dir fnm-noescape
syn keyword tl_keyword contained fnm-pathname fnm-period fnmatch for
syn keyword tl_keyword contained for* force force-break fork
syn keyword tl_keyword contained format fourth fr$ fr^
syn keyword tl_keyword contained fr^$ from frr fsblkcnt-t
syn keyword tl_keyword contained fsfilcnt-t fstat ftw ftw-actionretval
syn keyword tl_keyword contained ftw-chdir ftw-continue ftw-d ftw-depth
syn keyword tl_keyword contained ftw-dnr ftw-dp ftw-f ftw-mount
syn keyword tl_keyword contained ftw-ns ftw-phys ftw-skip-siblings ftw-skip-subtree
syn keyword tl_keyword contained ftw-sl ftw-sln ftw-stop fun
syn keyword tl_keyword contained fun-fixparam-count fun-optparam-count fun-variadic func-get-env
syn keyword tl_keyword contained func-get-form func-get-name func-set-env functionp
syn keyword tl_keyword contained gamma gcd gen gen-hash-seed
syn keyword tl_keyword contained generate gensym gequal get-buf-from-stream
syn keyword tl_keyword contained get-byte get-char get-clobber-expander get-delete-expander
syn keyword tl_keyword contained get-error get-error-str get-frames get-hash-userdata
syn keyword tl_keyword contained get-indent get-indent-mode get-json get-jsons
syn keyword tl_keyword contained get-line get-line-as-buf get-lines get-list-from-stream
syn keyword tl_keyword contained get-obj get-sig-handler get-stack-limit get-string
syn keyword tl_keyword contained get-string-from-stream get-update-expander getaddrinfo getegid
syn keyword tl_keyword contained getenv geteuid getgid getgrent
syn keyword tl_keyword contained getgrgid getgrnam getgroups gethash
syn keyword tl_keyword contained getitimer getopts getpid getppid
syn keyword tl_keyword contained getpwent getpwnam getpwuid getresgid
syn keyword tl_keyword contained getresuid getrlimit getuid gid-t
syn keyword tl_keyword contained ginterate giterate glob glob*
syn keyword tl_keyword contained glob-altdirfunc glob-brace glob-err glob-mark
syn keyword tl_keyword contained glob-nocheck glob-noescape glob-nomagic glob-nosort
syn keyword tl_keyword contained glob-onlydir glob-period glob-tilde glob-tilde-check
syn keyword tl_keyword contained glob-xnobrace go grade greater
syn keyword tl_keyword contained group-by group-map group-reduce gun
syn keyword tl_keyword contained handle handle* handler-bind hash
syn keyword tl_keyword contained hash-alist hash-begin hash-construct hash-count
syn keyword tl_keyword contained hash-diff hash-eql hash-equal hash-from-alist
syn keyword tl_keyword contained hash-from-pairs hash-invert hash-isec hash-join
syn keyword tl_keyword contained hash-keys hash-keys-of hash-list hash-map
syn keyword tl_keyword contained hash-next hash-pairs hash-peek hash-proper-subset
syn keyword tl_keyword contained hash-props hash-reset hash-revget hash-subset
syn keyword tl_keyword contained hash-symdiff hash-uni hash-update hash-update-1
syn keyword tl_keyword contained hash-userdata hash-values hash-zip hashp
syn keyword tl_keyword contained have hist-sort hist-sort-by hlet
syn keyword tl_keyword contained hlet* html-decode html-encode html-encode*
syn keyword tl_keyword contained hupcl hypot iapply icanon
syn keyword tl_keyword contained icrnl id-t identity identity*
syn keyword tl_keyword contained ido iexten if if-match
syn keyword tl_keyword contained ifa iff iffi iflet
syn keyword tl_keyword contained ignbrk igncr ignerr ignore
syn keyword tl_keyword contained ignpar ignwarn imaxbel improper-plist-to-alist
syn keyword tl_keyword contained in in-package in-range in-range*
syn keyword tl_keyword contained in6addr-any in6addr-loopback in6addr-str inaddr-any
syn keyword tl_keyword contained inaddr-loopback inaddr-str inc inc-indent
syn keyword tl_keyword contained inc-indent-abs indent-code indent-data indent-foff
syn keyword tl_keyword contained indent-off inhash inlcr ino-t
syn keyword tl_keyword contained inpck int int-buf int-carray
syn keyword tl_keyword contained int-chr int-cptr int-flo int-ptr-t
syn keyword tl_keyword contained int-str int16 int32 int64
syn keyword tl_keyword contained int8 integerp intern intern-fb
syn keyword tl_keyword contained interp-fun-p interpose intmax-t inv-cum-norm
syn keyword tl_keyword contained invoke-catch ip ipf ipproto-ip
syn keyword tl_keyword contained ipproto-ipv6 ipproto-tcp ipproto-udp ipv6-join-group
syn keyword tl_keyword contained ipv6-leave-group ipv6-multicast-hops ipv6-multicast-if ipv6-multicast-loop
syn keyword tl_keyword contained ipv6-unicast-hops ipv6-v6only iread isatty
syn keyword tl_keyword contained isec isecp isig isqrt
syn keyword tl_keyword contained istrip iter-begin iter-item iter-more
syn keyword tl_keyword contained iter-reset iter-step iterable itimer-prof
syn keyword tl_keyword contained itimer-real itimer-virtual iuclc iutf8
syn keyword tl_keyword contained ixany ixoff ixon j0
syn keyword tl_keyword contained j1 jmp-buf jn join
syn keyword tl_keyword contained join-with json juxt keep-if
syn keyword tl_keyword contained keep-if* keep-keys-if keep-match-products keep-matches
syn keyword tl_keyword contained keepq keepql keepqual key
syn keyword tl_keyword contained key-t keyword-package keywordp kill
syn keyword tl_keyword contained labels lambda lambda-match last
syn keyword tl_keyword contained lazy-str lazy-str-force lazy-str-force-upto lazy-str-get-trailing-list
syn keyword tl_keyword contained lazy-stream-cons lazy-stringp lchown lcm
syn keyword tl_keyword contained lcons lcons-car lcons-cdr lcons-fun
syn keyword tl_keyword contained lconsp ldexp ldiff ldo
syn keyword tl_keyword contained le-double le-float le-int16 le-int32
syn keyword tl_keyword contained le-int64 le-uint16 le-uint32 le-uint64
syn keyword tl_keyword contained left len length length-<
syn keyword tl_keyword contained length-buf length-carray length-list length-list-<
syn keyword tl_keyword contained length-str length-str-< length-str-<= length-str->
syn keyword tl_keyword contained length-str->= length-vec lequal less
syn keyword tl_keyword contained let let* lexical-binding-kind lexical-fun-binding-kind
syn keyword tl_keyword contained lexical-fun-p lexical-lisp1-binding lexical-macro-p lexical-symacro-p
syn keyword tl_keyword contained lexical-var-p lflow lgamma lib-version
syn keyword tl_keyword contained link lisp-parse list list*
syn keyword tl_keyword contained list-carray list-seq list-str list-vec
syn keyword tl_keyword contained list-vector listp lnew lnew*
syn keyword tl_keyword contained load load-args-process load-args-recurse load-for
syn keyword tl_keyword contained load-time loand loff-t log
syn keyword tl_keyword contained log-alert log-auth log-authpriv log-cons
syn keyword tl_keyword contained log-crit log-daemon log-debug log-emerg
syn keyword tl_keyword contained log-err log-info log-ndelay log-notice
syn keyword tl_keyword contained log-nowait log-odelay log-perror log-pid
syn keyword tl_keyword contained log-user log-warning log10 log1p
syn keyword tl_keyword contained log2 logand logb logcount
syn keyword tl_keyword contained logior lognot logtest logtrunc
syn keyword tl_keyword contained logxor long long-suffix longjmp
syn keyword tl_keyword contained longlong lop lopf lopip
syn keyword tl_keyword contained lset lstat lutimes m$
syn keyword tl_keyword contained m^ m^$ mac-env-param-bind mac-param-bind
syn keyword tl_keyword contained macro-ancestor macro-form-p macro-time macroexpand
syn keyword tl_keyword contained macroexpand-1 macroexpand-1-lisp1 macroexpand-1-place macroexpand-lisp1
syn keyword tl_keyword contained macroexpand-match macroexpand-params macroexpand-place macroexpand-struct-clause
syn keyword tl_keyword contained macrolet madv-dodump madv-dofork madv-dontdump
syn keyword tl_keyword contained madv-dontfork madv-dontneed madv-free madv-hugepage
syn keyword tl_keyword contained madv-hwpoison madv-keeponfork madv-mergeable madv-nohugepage
syn keyword tl_keyword contained madv-normal madv-random madv-remove madv-sequential
syn keyword tl_keyword contained madv-unmergeable madv-willneed madv-wipeonfork madvise
syn keyword tl_keyword contained major make-buf make-buf-stream make-byte-input-stream
syn keyword tl_keyword contained make-catenated-stream make-env make-hash make-lazy-cons
syn keyword tl_keyword contained make-lazy-struct make-like make-package make-random-state
syn keyword tl_keyword contained make-similar-hash make-similar-tree make-string-byte-input-stream make-string-input-stream
syn keyword tl_keyword contained make-string-output-stream make-strlist-input-stream make-strlist-output-stream make-struct
syn keyword tl_keyword contained make-struct-delegate-stream make-struct-type make-sym make-time
syn keyword tl_keyword contained make-time-utc make-trie make-union make-zstruct
syn keyword tl_keyword contained makedev makunbound map-anon map-fixed
syn keyword tl_keyword contained map-growsdown map-huge-mask map-huge-shift map-hugetlb
syn keyword tl_keyword contained map-locked map-nonblock map-noreserve map-populate
syn keyword tl_keyword contained map-private map-shared map-stack mapcar
syn keyword tl_keyword contained mapcar* mapdo mapf maphash
syn keyword tl_keyword contained mappend mappend* maprend maprod
syn keyword tl_keyword contained maprodo mask match match-case
syn keyword tl_keyword contained match-cond match-ecase match-error match-fboundp
syn keyword tl_keyword contained match-fun match-regex match-regex-right match-regst
syn keyword tl_keyword contained match-regst-right match-str match-str-tree max
syn keyword tl_keyword contained mboundp md5 md5-begin md5-end
syn keyword tl_keyword contained md5-hash md5-stream member member-if
syn keyword tl_keyword contained memp memq memql memqual
syn keyword tl_keyword contained meq meql mequal merge
syn keyword tl_keyword contained merge-delete-package meth method min
syn keyword tl_keyword contained minor minusp mismatch mkdir
syn keyword tl_keyword contained mkdtemp mkfifo mknod mkstemp
syn keyword tl_keyword contained mkstring mlet mmakunbound mmap
syn keyword tl_keyword contained mod mode-t mprotect mref
syn keyword tl_keyword contained ms-async ms-invalidate ms-sync msync
syn keyword tl_keyword contained mul-each mul-each* mul-each-prod mul-each-prod*
syn keyword tl_keyword contained multi multi-sort munmap n-choose-k
syn keyword tl_keyword contained n-perm-k nand nandf nconc
syn keyword tl_keyword contained nearbyint neg neq neql
syn keyword tl_keyword contained nequal nested-vec nested-vec-of new
syn keyword tl_keyword contained new* nexpand-left nextafter nil
syn keyword tl_keyword contained nilf ninth nl0 nl1
syn keyword tl_keyword contained nldly nlink-t noflsh none
syn keyword tl_keyword contained nor norf not notf
syn keyword tl_keyword contained nreconc nreverse nrot nshuffle
syn keyword tl_keyword contained nsort nth nthcdr nthlast
syn keyword tl_keyword contained null nullify num-chr num-str
syn keyword tl_keyword contained numberp nzerop o-accmode o-append
syn keyword tl_keyword contained o-async o-cloexec o-creat o-direct
syn keyword tl_keyword contained o-directory o-noatime o-noctty o-nofollow
syn keyword tl_keyword contained o-nonblock o-path o-rdonly o-rdwr
syn keyword tl_keyword contained o-sync o-trunc o-wronly oand
syn keyword tl_keyword contained obtain obtain* obtain*-block obtain-block
syn keyword tl_keyword contained ocrnl oddp ofdel off-t
syn keyword tl_keyword contained offsetof ofill olcuc onlcr
syn keyword tl_keyword contained onlret onocr op open-command
syn keyword tl_keyword contained open-directory open-file open-fileno open-files
syn keyword tl_keyword contained open-files* open-pipe open-process open-socket
syn keyword tl_keyword contained open-socket-pair open-subprocess open-tail opendir
syn keyword tl_keyword contained openlog opf opip opost
syn keyword tl_keyword contained opt opthelp opthelp-conventions opthelp-types
syn keyword tl_keyword contained or orf pack package-alist
syn keyword tl_keyword contained package-fallback-list package-foreign-symbols package-local-symbols package-name
syn keyword tl_keyword contained package-symbols packagep pad page-size
syn keyword tl_keyword contained pairlis parenb parmrk parodd
syn keyword tl_keyword contained parse-errors partition partition* partition-by
syn keyword tl_keyword contained partition-if path-blkdev-p path-cat path-chrdev-p
syn keyword tl_keyword contained path-components-safe path-dir-empty path-dir-p path-equal
syn keyword tl_keyword contained path-executable-to-me-p path-exists-p path-file-p path-mine-p
syn keyword tl_keyword contained path-my-group-p path-newer path-older path-pipe-p
syn keyword tl_keyword contained path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p path-safe-sticky-dir
syn keyword tl_keyword contained path-same-object path-search path-sep-chars path-setgid-p
syn keyword tl_keyword contained path-setuid-p path-sock-p path-sticky-p path-strictly-private-to-me-p
syn keyword tl_keyword contained path-symlink-p path-writable-to-me-p pdec pendin
syn keyword tl_keyword contained perm pic pid-t pinc
syn keyword tl_keyword contained pipe place-form-p placelet placelet*
syn keyword tl_keyword contained plist-to-alist plusp poll poll-err
syn keyword tl_keyword contained poll-in poll-nval poll-out poll-pri
syn keyword tl_keyword contained poll-rdband poll-rdhup poll-wrband poly
syn keyword tl_keyword contained pop pop-after-load portable-abs-path-p pos
syn keyword tl_keyword contained pos-if pos-max pos-min posq
syn keyword tl_keyword contained posql posqual pppred ppred
syn keyword tl_keyword contained pprinl pprint pprof pred
syn keyword tl_keyword contained prinl print prod prof
syn keyword tl_keyword contained prog prog* prog1 prog2
syn keyword tl_keyword contained progn progv promisep prop
syn keyword tl_keyword contained proper-list-p proper-listp prot-exec prot-growsdown
syn keyword tl_keyword contained prot-growsup prot-none prot-read prot-write
syn keyword tl_keyword contained pset ptr ptr-in ptr-in-d
syn keyword tl_keyword contained ptr-out ptr-out-d ptr-out-s ptrdiff-t
syn keyword tl_keyword contained pub:txr-sym pure-rel-path-p purge-deferred-warning push
syn keyword tl_keyword contained push-after-load pushhash pushnew put-buf
syn keyword tl_keyword contained put-byte put-carray put-char put-json
syn keyword tl_keyword contained put-jsonl put-jsons put-line put-lines
syn keyword tl_keyword contained put-obj put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quantile quip
syn keyword tl_keyword contained quote r$ r^ r^$
syn keyword tl_keyword contained raise rand random random-buf
syn keyword tl_keyword contained random-fixnum random-float random-float-incl random-sample
syn keyword tl_keyword contained random-state-get-vec random-state-p range range*
syn keyword tl_keyword contained range-regex rangep rangeref rassoc
syn keyword tl_keyword contained rassq rassql rcomb rcons
syn keyword tl_keyword contained read read-objects read-once read-until-match
syn keyword tl_keyword contained readdir readlink real-time-stream-p realpath
syn keyword tl_keyword contained record-adapter reduce-left reduce-right ref
syn keyword tl_keyword contained refset regex-compile regex-from-trie regex-optimize
syn keyword tl_keyword contained regex-parse regex-prefix-match regex-source regexp
syn keyword tl_keyword contained register-exception-subtypes register-tentative-def regsub rehome-sym
syn keyword tl_keyword contained reject rel-path relate release-deferred-warnings
syn keyword tl_keyword contained remainder remhash remove-if remove-if*
syn keyword tl_keyword contained remove-path remove-path-rec remq remq*
syn keyword tl_keyword contained remql remql* remqual remqual*
syn keyword tl_keyword contained rename-path repeat replace replace-buf
syn keyword tl_keyword contained replace-env replace-list replace-str replace-struct
syn keyword tl_keyword contained replace-tree-iter replace-vec reset-struct rest
syn keyword tl_keyword contained ret retf return return*
syn keyword tl_keyword contained return-from revappend reverse rfind
syn keyword tl_keyword contained rfind-if right rint rlcp
syn keyword tl_keyword contained rlcp-tree rlet rlim-infinity rlim-saved-cur
syn keyword tl_keyword contained rlim-saved-max rlimit-as rlimit-core rlimit-cpu
syn keyword tl_keyword contained rlimit-data rlimit-fsize rlimit-nofile rlimit-stack
syn keyword tl_keyword contained rlink rlist rlist* rmdir
syn keyword tl_keyword contained rmember rmember-if rmemq rmemql
syn keyword tl_keyword contained rmemqual rmismatch rot rotate
syn keyword tl_keyword contained round round-rem rperm rplaca
syn keyword tl_keyword contained rplacd rpoly rpos rpos-if
syn keyword tl_keyword contained rposq rposql rposqual rr
syn keyword tl_keyword contained rra rsearch rslot rtld-deepbind
syn keyword tl_keyword contained rtld-global rtld-lazy rtld-local rtld-nodelete
syn keyword tl_keyword contained rtld-noload rtld-now run s-ifblk
syn keyword tl_keyword contained s-ifchr s-ifdir s-ififo s-iflnk
syn keyword tl_keyword contained s-ifmt s-ifreg s-ifsock s-irgrp
syn keyword tl_keyword contained s-iroth s-irusr s-irwxg s-irwxo
syn keyword tl_keyword contained s-irwxu s-isgid s-isuid s-isvtx
syn keyword tl_keyword contained s-iwgrp s-iwoth s-iwusr s-ixgrp
syn keyword tl_keyword contained s-ixoth s-ixusr save-exe sbit
syn keyword tl_keyword contained scalb scalbln scan-until-match search
syn keyword tl_keyword contained search-all search-regex search-regst search-str
syn keyword tl_keyword contained search-str-tree second seek-cur seek-end
syn keyword tl_keyword contained seek-set seek-stream select self-load-path
syn keyword tl_keyword contained self-path separate separate-keys seq-begin
syn keyword tl_keyword contained seq-next seq-reset seqp set
syn keyword tl_keyword contained set-diff set-hash-userdata set-indent set-indent-mode
syn keyword tl_keyword contained set-key set-left set-mask set-max-depth
syn keyword tl_keyword contained set-max-length set-package-fallback-list set-right set-sig-handler
syn keyword tl_keyword contained set-stack-limit setegid setenv seteuid
syn keyword tl_keyword contained setgid setgrent setgroups sethash
syn keyword tl_keyword contained setitimer setjmp setlogmask setpwent
syn keyword tl_keyword contained setresgid setresuid setrlimit setuid
syn keyword tl_keyword contained seventh sh sh-esc sh-esc-all
syn keyword tl_keyword contained sh-esc-dq sh-esc-sq sha1 sha1-begin
syn keyword tl_keyword contained sha1-end sha1-hash sha1-stream sha256
syn keyword tl_keyword contained sha256-begin sha256-end sha256-hash sha256-stream
syn keyword tl_keyword contained shift short short-suffix shuffle
syn keyword tl_keyword contained shut-rd shut-rdwr shut-wr sig-abrt
syn keyword tl_keyword contained sig-alrm sig-atomic-t sig-bus sig-check
syn keyword tl_keyword contained sig-chld sig-cont sig-fpe sig-hup
syn keyword tl_keyword contained sig-ill sig-int sig-io sig-iot
syn keyword tl_keyword contained sig-kill sig-pipe sig-poll sig-prof
syn keyword tl_keyword contained sig-pwr sig-quit sig-segv sig-stkflt
syn keyword tl_keyword contained sig-stop sig-sys sig-term sig-trap
syn keyword tl_keyword contained sig-tstp sig-ttin sig-ttou sig-urg
syn keyword tl_keyword contained sig-usr1 sig-usr2 sig-vtalrm sig-winch
syn keyword tl_keyword contained sig-xcpu sig-xfsz sign-extend significand
syn keyword tl_keyword contained signum sin sinh sixth
syn keyword tl_keyword contained size-t size-vec sizeof slet
syn keyword tl_keyword contained slot slotp slots slotset
syn keyword tl_keyword contained snsort so-acceptconn so-broadcast so-debug
syn keyword tl_keyword contained so-dontroute so-error so-keepalive so-linger
syn keyword tl_keyword contained so-oobinline so-rcvbuf so-rcvlowat so-rcvtimeo
syn keyword tl_keyword contained so-reuseaddr so-sndbuf so-sndlowat so-sndtimeo
syn keyword tl_keyword contained so-type sock-accept sock-bind sock-cloexec
syn keyword tl_keyword contained sock-connect sock-dgram sock-family sock-listen
syn keyword tl_keyword contained sock-nonblock sock-opt sock-peer sock-recv-timeout
syn keyword tl_keyword contained sock-send-timeout sock-set-opt sock-set-peer sock-shutdown
syn keyword tl_keyword contained sock-stream sock-type sockaddr-str socklen-t
syn keyword tl_keyword contained sol-socket some some-false some-true
syn keyword tl_keyword contained sort sort-group source-loc source-loc-str
syn keyword tl_keyword contained span-str special-operator-p special-var-p spl
syn keyword tl_keyword contained splice split split* split-str
syn keyword tl_keyword contained split-str-set spln sqrt square
syn keyword tl_keyword contained ssize-t ssort sspl sssucc
syn keyword tl_keyword contained ssucc starts-with stat static-slot
syn keyword tl_keyword contained static-slot-ensure static-slot-home static-slot-p static-slot-set
syn keyword tl_keyword contained stdlib str str-buf str-d
syn keyword tl_keyword contained str-esc str-in6addr str-in6addr-net str-inaddr
syn keyword tl_keyword contained str-inaddr-net str-s str-seq str<
syn keyword tl_keyword contained str<= str= str> str>=
syn keyword tl_keyword contained stream-get-prop stream-set-prop streamp strerror
syn keyword tl_keyword contained string-extend string-finish string-get-code string-lt
syn keyword tl_keyword contained string-set-code stringp strsignal struct
syn keyword tl_keyword contained struct-from-args struct-from-plist struct-get-initfun struct-get-postinitfun
syn keyword tl_keyword contained struct-set-initfun struct-set-postinitfun struct-type struct-type-name
syn keyword tl_keyword contained struct-type-p structp sub sub-buf
syn keyword tl_keyword contained sub-list sub-str sub-tree sub-vec
syn keyword tl_keyword contained subq subql subqual subst
syn keyword tl_keyword contained subtypep succ sum sum-each
syn keyword tl_keyword contained sum-each* sum-each-prod sum-each-prod* super
syn keyword tl_keyword contained super-method suspend swap symacrolet
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symdiff symlink
syn keyword tl_keyword contained sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian% sys:%bin-op%
syn keyword tl_keyword contained sys:%bin-ops% sys:%block-using-funs% sys:%call-op% sys:%const-foldable%
syn keyword tl_keyword contained sys:%const-foldable-funs% sys:%dbg-command-env% sys:%dbg-commands% sys:%effect-free%
syn keyword tl_keyword contained sys:%effect-free-funs% sys:%eval-cache% sys:%functional% sys:%functional-funs%
syn keyword tl_keyword contained sys:%gcall-op% sys:%lev-bits% sys:%lev-size% sys:%max-lambda-fixed-args%
syn keyword tl_keyword contained sys:%max-lev% sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx%
syn keyword tl_keyword contained sys:%max-v-lev% sys:%nary-ops% sys:%oc-code% sys:%oc-hash%
syn keyword tl_keyword contained sys:%oc-list-builder% sys:%package-manip% sys:%param-info% sys:%quip-rand-state%
syn keyword tl_keyword contained sys:%quips% sys:%shuffled-quips% sys:%sm-lev-bits% sys:%sm-lev-size%
syn keyword tl_keyword contained sys:%test-funs% sys:%test-funs-neg% sys:%test-funs-ops% sys:%test-funs-pos%
syn keyword tl_keyword contained sys:%test-inv% sys:%test-opcode% sys:%tlo-ver% sys:%warning-syms%
syn keyword tl_keyword contained sys:*dedup* sys:*emit* sys:*eval* sys:*in-compilation-unit*
syn keyword tl_keyword contained sys:*lazy-streams* sys:*load-recursive* sys:*load-time* sys:*match-form*
syn keyword tl_keyword contained sys:*op-ctx* sys:*pl-env* sys:*pl-form* sys:*struct-prelude*
syn keyword tl_keyword contained sys:*struct-prelude-alists* sys:*top-level* sys:*trace-hash* sys:*trace-level*
syn keyword tl_keyword contained sys:*unchecked-calls* sys:abscond* sys:abscond-from sys:add-neg-parens
syn keyword tl_keyword contained sys:analyze-argtypes sys:analyze-params sys:apply sys:arith-each
syn keyword tl_keyword contained sys:asm-error sys:assumed-fun sys:autoload-try-fun sys:awk%--rng
syn keyword tl_keyword contained sys:awk%--rng+ sys:awk%--rng- sys:awk%-rng+ sys:awk%rng+
syn keyword tl_keyword contained sys:awk-code-move-check sys:awk-error sys:awk-expander sys:awk-field-name-code
syn keyword tl_keyword contained sys:awk-fun-let sys:awk-fun-shadowing-env sys:awk-mac-let sys:awk-mac-let-outer
syn keyword tl_keyword contained sys:awk-redir sys:awk-symac-let sys:awk-test sys:b*
syn keyword tl_keyword contained sys:b+ sys:b- sys:b/ sys:b<
syn keyword tl_keyword contained sys:b<= sys:b= sys:b=> sys:b>
syn keyword tl_keyword contained sys:bad-slot-syntax sys:bexp-expand sys:bexp-parse sys:bexp-parse-brace
syn keyword tl_keyword contained sys:bind-mac-check sys:bind-mac-error sys:bindable-check sys:bits
syn keyword tl_keyword contained sys:bits-to-obj sys:blk sys:brace-expand sys:build-expander
syn keyword tl_keyword contained sys:cached-sort-body sys:can-inline-chain sys:capture-cont sys:careful-subst-preserve
syn keyword tl_keyword contained sys:catch sys:check sys:check-slot sys:check-struct
syn keyword tl_keyword contained sys:check-sym sys:circref sys:comma-positions sys:compat
syn keyword tl_keyword contained sys:compile-and-match sys:compile-as-match sys:compile-atom-match sys:compile-cons-structure
syn keyword tl_keyword contained sys:compile-exprs-match sys:compile-file-conditionally sys:compile-hash-match sys:compile-loop-match
syn keyword tl_keyword contained sys:compile-match sys:compile-new-var-match sys:compile-not-match sys:compile-or-match
syn keyword tl_keyword contained sys:compile-predicate-match sys:compile-range-match sys:compile-require-match sys:compile-scan-match
syn keyword tl_keyword contained sys:compile-struct-match sys:compile-var-match sys:compile-vec-match sys:compile-with-match
syn keyword tl_keyword contained sys:compiler-emit-warnings sys:conv sys:conv-expand sys:conv-expand-sym
syn keyword tl_keyword contained sys:conv-let sys:ctx-form sys:ctx-name sys:dbg-all
syn keyword tl_keyword contained sys:dbg-backtrace sys:dbg-clear sys:dbg-enable sys:dbg-restore
syn keyword tl_keyword contained sys:dbg-set sys:dbg-step sys:debugger sys:debugger-help
syn keyword tl_keyword contained sys:dedup sys:dedup-labels sys:deffi-cb-expander sys:define-method
syn keyword tl_keyword contained sys:defset-expander sys:defset-expander-simple sys:detached-run sys:dig
syn keyword tl_keyword contained sys:disassemble-cdf sys:dlib-expr sys:do-conv sys:do-copy-obj
syn keyword tl_keyword contained sys:do-path-test sys:do-tweak-obj sys:dump-to-tlo sys:dvbind
syn keyword tl_keyword contained sys:dwim-del sys:dwim-set sys:dyn-size sys:each-match-expander
syn keyword tl_keyword contained sys:each-op sys:early-peephole sys:enc-small-op sys:ensure-op-arg
syn keyword tl_keyword contained sys:env-to-let sys:eq-comparable sys:eql-comparable sys:eval-cache-emit-warnings
syn keyword tl_keyword contained sys:eval-err sys:expand-and sys:expand-arith-each-prod sys:expand-bind-mac-params
syn keyword tl_keyword contained sys:expand-defmacro sys:expand-defsymacro sys:expand-defun sys:expand-defvarl
syn keyword tl_keyword contained sys:expand-dohash sys:expand-doloop sys:expand-each sys:expand-each-prod
syn keyword tl_keyword contained sys:expand-each-prod* sys:expand-handle sys:expand-lambda-match sys:expand-neg-parens
syn keyword tl_keyword contained sys:expand-param-macro sys:expand-params sys:expand-pic sys:expand-pic-align
syn keyword tl_keyword contained sys:expand-pic-num sys:expand-pic-num-commas sys:expand-quasi sys:expand-quasi-args
syn keyword tl_keyword contained sys:expand-quasi-match sys:expand-quasi-mods sys:expand-sym-ref sys:expr
syn keyword tl_keyword contained sys:fbind sys:find-parent sys:fixed-point sys:flatten-or
syn keyword tl_keyword contained sys:fmt-flex sys:fmt-join sys:fmt-simple sys:for-op
syn keyword tl_keyword contained sys:gc sys:gc-set-delta sys:get-buf-common sys:get-fun-getter-setter
syn keyword tl_keyword contained sys:get-mb sys:get-param-info sys:get-place-macro sys:get-var-list
syn keyword tl_keyword contained sys:get-vars sys:get-vb sys:getopts-error sys:glob-xstar
syn keyword tl_keyword contained sys:handle-bad-syntax sys:handle-mutated-var-args sys:hlet-expand sys:if-to-cond
syn keyword tl_keyword contained sys:ign-notfound sys:in6addr-condensed-text sys:inline-chain sys:inline-chain-rec
syn keyword tl_keyword contained sys:insert-commas sys:is-label sys:l1-setq sys:l1-val
syn keyword tl_keyword contained sys:lambda-apply-transform sys:lambda-excess-apply-list sys:lambda-short-apply-list sys:lambda-too-few-args
syn keyword tl_keyword contained sys:lambda-too-many-args sys:lbind sys:lisp1-setq sys:lisp1-value
syn keyword tl_keyword contained sys:list-builder-flets sys:list-from-vm-desc sys:load-time-lit sys:loc
syn keyword tl_keyword contained sys:loosen sys:mac-env-flatten sys:make-anon-package sys:make-command-env
syn keyword tl_keyword contained sys:make-copy-path-opts sys:make-struct-lit sys:make-struct-type sys:mark-special
syn keyword tl_keyword contained sys:match-case-to-casequal sys:match-pat-error sys:maybe-mov sys:meth-lambda
syn keyword tl_keyword contained sys:misleading-ref-check sys:name-str sys:new-expander sys:new-type
syn keyword tl_keyword contained sys:no-dvbind-eval sys:non-triv-pat-p sys:null-reg sys:obtain-impl
syn keyword tl_keyword contained sys:op-alpha-rename sys:op-ensure-rec sys:op-expand sys:op-meta-p
syn keyword tl_keyword contained sys:op-rec-p sys:open-compile-streams sys:open-url sys:operand-to-exp
syn keyword tl_keyword contained sys:operand-to-sym sys:opip-expand sys:opip-let-p sys:opip-single-let-p
syn keyword tl_keyword contained sys:opt-controlled-diag sys:opt-dash sys:opt-err sys:orig-form
syn keyword tl_keyword contained sys:os-symbol sys:param-check sys:parse-compound-operand sys:parse-lambda-match-clause
syn keyword tl_keyword contained sys:parse-operand sys:pat-len sys:path-access sys:path-examine
syn keyword tl_keyword contained sys:path-simplify sys:path-split sys:path-test-mode sys:path-test-type
syn keyword tl_keyword contained sys:path-volume sys:pic-join-opt sys:placelet-1 sys:print-backtrace
syn keyword tl_keyword contained sys:propagate-ancestor sys:propagate-perms sys:prune-missing-inits sys:put-objects
syn keyword tl_keyword contained sys:qquote sys:quasi sys:quasilist sys:r-s-let-expander
syn keyword tl_keyword contained sys:reduce-constant sys:reduce-lisp sys:reduce-or sys:reg-expand-nongreedy
syn keyword tl_keyword contained sys:register-opcode sys:register-simple-accessor sys:repl sys:rewrite
syn keyword tl_keyword contained sys:rewrite-case sys:rplaca sys:rplacd sys:rslotset
syn keyword tl_keyword contained sys:rt-assert-fail sys:rt-defmacro sys:rt-defsymacro sys:rt-defun
syn keyword tl_keyword contained sys:rt-defv sys:rt-defvarl sys:rt-load-for sys:rt-pprof
syn keyword tl_keyword contained sys:rt-progv sys:rt-setjmp sys:safe-abs-path sys:safe-const-eval
syn keyword tl_keyword contained sys:safe-const-reduce sys:safe-constantp sys:set-hash-traversal-limit sys:set-macro-ancestor
syn keyword tl_keyword contained sys:set-symbol-value sys:setq sys:setqf sys:simplify-or
syn keyword tl_keyword contained sys:simplify-variadic-lambda sys:slot-types sys:small-op-p sys:small-op-to-sym
syn keyword tl_keyword contained sys:splice sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit
syn keyword tl_keyword contained sys:subst-preserve sys:switch sys:sym-clobber-expander sys:sym-delete-expander
syn keyword tl_keyword contained sys:sym-update-expander sys:system-symbol-p sys:top-fb sys:top-mb
syn keyword tl_keyword contained sys:top-vb sys:tr* sys:trace sys:trace-canonicalize-name
syn keyword tl_keyword contained sys:trace-enter sys:trace-leave sys:trace-redefine-check sys:transform-qquote
syn keyword tl_keyword contained sys:translate-hash-bang sys:tree-construct sys:trfm sys:true-const-p
syn keyword tl_keyword contained sys:txr-case-impl sys:typecase-expander sys:unquote sys:untrace
syn keyword tl_keyword contained sys:upenv sys:uw-block sys:uw-captured-block sys:uw-catch
syn keyword tl_keyword contained sys:uw-cont-copy sys:uw-eval sys:uw-expand sys:uw-fcall
syn keyword tl_keyword contained sys:uw-guard sys:uw-handle sys:uw-menv sys:var
syn keyword tl_keyword contained sys:var-pat-p sys:vars-check sys:vm-closure-desc sys:vm-closure-entry
syn keyword tl_keyword contained sys:vm-desc-bytecode sys:vm-desc-datavec sys:vm-desc-nlevels sys:vm-desc-nregs
syn keyword tl_keyword contained sys:vm-desc-symvec sys:vm-execute-toplevel sys:vm-make-desc sys:wdwrap
syn keyword tl_keyword contained sys:when-exprs-match sys:when-opt sys:with-disabled-debugging sys:with-dyn-lib-check
syn keyword tl_keyword contained syslog system-package t tab0
syn keyword tl_keyword contained tab1 tab2 tab3 tabdly
syn keyword tl_keyword contained tagbody tailp take take-until
syn keyword tl_keyword contained take-while tan tanh tap
syn keyword tl_keyword contained tb tc tcdrain tcflow
syn keyword tl_keyword contained tcflush tcgetattr tciflush tcioff
syn keyword tl_keyword contained tcioflush tcion tcoflush tcooff
syn keyword tl_keyword contained tcoon tcp-nodelay tcsadrain tcsaflush
syn keyword tl_keyword contained tcsanow tcsendbreak tcsetattr tentative-def-exists
syn keyword tl_keyword contained tenth test-clear test-clear-dirty test-dec
syn keyword tl_keyword contained test-dirty test-inc test-neq-set-indent-mode test-set
syn keyword tl_keyword contained test-set-indent-mode tf tgamma third
syn keyword tl_keyword contained throw throwf time time-fields-local
syn keyword tl_keyword contained time-fields-utc time-nsec time-parse time-parse-local
syn keyword tl_keyword contained time-parse-utc time-str-local time-str-utc time-string-local
syn keyword tl_keyword contained time-string-utc time-struct-local time-struct-utc time-t
syn keyword tl_keyword contained time-usec tmpfile tnode tnodep
syn keyword tl_keyword contained to tofloat tofloatz toint
syn keyword tl_keyword contained tointz tojson tok tok-str
syn keyword tl_keyword contained tok-where tokn tostop tostring
syn keyword tl_keyword contained tostringp touch tprint trace
syn keyword tl_keyword contained transpose tree tree-begin tree-bind
syn keyword tl_keyword contained tree-case tree-clear tree-count tree-del-min
syn keyword tl_keyword contained tree-del-min-node tree-delete tree-delete-node tree-delete-specific-node
syn keyword tl_keyword contained tree-find tree-insert tree-insert-node tree-lookup
syn keyword tl_keyword contained tree-lookup-node tree-min tree-min-node tree-next
syn keyword tl_keyword contained tree-peek tree-reset tree-root treep
syn keyword tl_keyword contained trie-add trie-compress trie-lookup-begin trie-lookup-feed-char
syn keyword tl_keyword contained trie-value-at trim-left trim-long-suffix trim-path-seps
syn keyword tl_keyword contained trim-right trim-short-suffix trim-str true
syn keyword tl_keyword contained trunc trunc-rem truncate-stream tuples
syn keyword tl_keyword contained tuples* txr-case txr-exe-path txr-if
syn keyword tl_keyword contained txr-parse txr-path txr-version txr-when
syn keyword tl_keyword contained typecase typedef typeof typep
syn keyword tl_keyword contained ubit uchar uid-t uint
syn keyword tl_keyword contained uint-buf uint-carray uint-ptr-t uint16
syn keyword tl_keyword contained uint32 uint64 uint8 uintmax-t
syn keyword tl_keyword contained ulong ulonglong umask umeth
syn keyword tl_keyword contained umethod uname unget-byte unget-char
syn keyword tl_keyword contained uni unintern union union-get
syn keyword tl_keyword contained union-in union-members union-out union-put
syn keyword tl_keyword contained uniq unique unless unquote
syn keyword tl_keyword contained unsetenv until until* untrace
syn keyword tl_keyword contained unuse-package unuse-sym unwind-protect upcase-str
syn keyword tl_keyword contained upd update uref url-decode
syn keyword tl_keyword contained url-encode use use-package use-sym
syn keyword tl_keyword contained use-sym-as user-package ushort usl
syn keyword tl_keyword contained usleep uslot utimes val
syn keyword tl_keyword contained vdiscard vec vec-carray vec-list
syn keyword tl_keyword contained vec-push vec-seq vec-set-length vecref
syn keyword tl_keyword contained vector vector-list vectorp veof
syn keyword tl_keyword contained veol veol2 verase vintr
syn keyword tl_keyword contained vkill vlnext vm-fun-p vmin
syn keyword tl_keyword contained void vquit vreprint vstart
syn keyword tl_keyword contained vstop vsusp vswtc vt0
syn keyword tl_keyword contained vt1 vtdly vtime vwerase
syn keyword tl_keyword contained w-continued w-coredump w-exitstatus w-ifcontinued
syn keyword tl_keyword contained w-ifexited w-ifsignaled w-ifstopped w-nohang
syn keyword tl_keyword contained w-stopsig w-termsig w-untraced wait
syn keyword tl_keyword contained wchar weave when when-match
syn keyword tl_keyword contained whena whenlet where while
syn keyword tl_keyword contained while* while-match while-match-case while-true-match-case
syn keyword tl_keyword contained whilet width width-check window-map
syn keyword tl_keyword contained window-mapdo window-mappend wint-t with-clobber-expander
syn keyword tl_keyword contained with-compilation-unit with-compile-opts with-delete-expander with-dyn-lib
syn keyword tl_keyword contained with-gensyms with-hash-iter with-in-buf-stream with-in-string-byte-stream
syn keyword tl_keyword contained with-in-string-stream with-objects with-out-buf-stream with-out-string-stream
syn keyword tl_keyword contained with-out-strlist-stream with-resources with-slots with-stream
syn keyword tl_keyword contained with-update-expander wrap wrap* wstr
syn keyword tl_keyword contained wstr-d wstr-s xcase y0
syn keyword tl_keyword contained y1 yield yield-from yn
syn keyword tl_keyword contained zap zarray zchar zero-fill
syn keyword tl_keyword contained zerop zip znew

syn keyword txr_keyword contained accept all and assert
syn keyword txr_keyword contained bind block call cases
syn keyword txr_keyword contained cat catch choose chr
syn keyword txr_keyword contained close coll collect data
syn keyword txr_keyword contained defex deffilter define do
syn keyword txr_keyword contained elif else empty end
syn keyword txr_keyword contained eof eol fail filter
syn keyword txr_keyword contained finally first flatten forget
syn keyword txr_keyword contained freeform fuzz gather if
syn keyword txr_keyword contained include last line load
syn keyword txr_keyword contained local maybe merge mod
syn keyword txr_keyword contained modlast name next none
syn keyword txr_keyword contained or output push rebind
syn keyword txr_keyword contained rep repeat require set
syn keyword txr_keyword contained single skip some text
syn keyword txr_keyword contained throw trailer try until
syn keyword txr_keyword contained var
syn match txr_at "\(@[ \t]*\)" nextgroup=txr_error,txr_atat,txr_comment,txr_contin,txr_char,txr_error,txr_char,txr_regdir,txr_variable,txr_splicevar,txr_metanum,txr_directive,txr_bracevar,txr_bracket
syn match txr_error "[*]\?[\t ]*." contained
syn match txr_atat "@" contained
syn match txr_comment "[#;].*" contained
syn match txr_contin "\\$" contained
syn match txr_char "\\." contained
syn match txr_error "\\[xo]" contained
syn match txr_char "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_char "\\[0-7]\+;\?" contained
syn match txr_regdir "/\(\\/\|[^/]\|\\\n\)*/" contained
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_splicevar "[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "\(@[ \t]*\)\+[0-9]\+" contained
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match tl_error "#[^HSRTN]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+" contained
syn match txr_chr "#\\o[0-7]\+" contained
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]" contained
syn match txr_chr "#\\[A-Za-z_0-9]\+" contained
syn match txr_ncomment ";.*" contained

syn match txr_hashbang "\%^#!.*"

syn match txr_qat "\(@[ \t]*\)" nextgroup=txr_splicevar,txr_metanum,txr_qbracevar,txr_list,txr_bracket,txr_escat,txr_stresc,txr_numesc,txr_badesc contained
syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match txr_braced_ident "\(#\?:\)\?[[A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "\(#\?:\)\?[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*" contained
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9,]\+" contains=txr_xnum,txr_bnum,txr_onum contained
syn match txr_xnum "#x[+\-]\?\([0-9A-Fa-f][,0-9A-Fa-f]*[0-9A-Fa-f]\|[0-9A-Fa-f]\)" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?\([0-7][,0-7]*[0-7]\|[0-7]\)" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?\([01][,01]*[01]\|[01]\)" containedin=txr_pnum contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)" contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([eE][+\-]\?[0-9]\+\)\?" contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([eE][+\-]\?[0-9]\+\)" contained
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)" contained
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)" contained
syn match tl_ident "#\?:" contained
syn match tl_splice "[ \t,]\|,[*]" contained

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_qbracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_directive contained matchgroup=Delimiter start="(" matchgroup=Delimiter end=")" contains=txr_keyword,txr_string,txr_list,txr_bracket,txr_quasilit,txr_num,txr_pnum,txr_badnum,tl_ident,tl_regex,txr_string,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_list contained matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_bracket contained matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_string contained start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit contained start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_qat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex contained start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex contained start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf contained matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign contained matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_ign contained matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign contained matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTNJ]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*{" matchgroup=Comment end="}" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="{" matchgroup=Comment end="}" contains=txr_ign_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom contained matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray contained matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash contained matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_qat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link tl_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_interior Comment
hi def link txr_ign Comment
hi def link txr_ign_json Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,close-lazy-streams,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,compiler-let,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,define-struct-prelude,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-product,each-prod,each-prod*,each-true,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,ensure,enum,enumed,equot,etypecase,eval-only,expander-let,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lflow,lnew*,load-for,load-time,loand,lop,lopf,lopip,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-cond,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,opf,pack,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,progv,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,setjmp,sizeof,slet,some-false,some-true,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-mac-let-outer,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:cached-sort-body,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:ign-notfound,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:meth-lambda,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:when-opt,sys:with-disabled-debugging,tagbody,tap,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-compile-opts,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:@\;\;\;,:@\;\;,:@\;
